%------------------------------------------------------------------------------
% File     : LCL579^2 : TPTP v7.0.0. Released v5.1.0.
% Domain   : Logical Calculi
% Problem  : Leibniz-equality definition means it's an equivalence
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0085 [Bro09]
%          : THM76A [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v6.0.0, 0.17 v5.5.0, 0.20 v5.4.0, 0.25 v5.3.0, 0.50 v5.2.0, 0.25 v5.1.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :    8 (   0 equality;   4 variable)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    7 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    2 (   0 sgn;   2   !;   0   ?;   0   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : This theorem has two proofs.
%          : 
%          : Renamed from SYO254^5 
%------------------------------------------------------------------------------
thf(cY,type,(
    cY: $i )).

thf(cX,type,(
    cX: $i )).

thf(cTHM76A,conjecture,
    ( ! [P: $i > $o] :
        ( ( P @ cY )
       => ( P @ cX ) )
   => ! [R: $i > $o] :
        ( ( R @ cX )
       => ( R @ cY ) ) )).

%------------------------------------------------------------------------------
