%------------------------------------------------------------------------------
% File     : LCL590^1 : TPTP v7.0.0. Released v3.6.0.
% Domain   : Logical Calculi
% Problem  : Popkorn problem 11
% Version  : [BP09] axioms.
% English  :

% Refs     : [Pop95] Popkorn (1995), First Steps in Modal Logic
%          : [BP09]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [BP09]
% Names    : K-k [BP09]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   39 (   0 unit;  23 type;  15 defn)
%            Number of atoms       :   93 (  15 equality;  40 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :   50 (   3   ~;   1   |;   2   &;  43   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   83 (  83   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   28 (  23   :;   0   =)
%            Number of variables   :   36 (   2 sgn;   4   !;   4   ?;  28   ^)
%                                         (  36   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include simple maths definitions and axioms
include('Axioms/LCL008^0.ax').
%------------------------------------------------------------------------------
%----Signature
thf(a,type,(
    a: $i > $o )).

thf(b,type,(
    b: $i > $o )).

thf(r,type,(
    r: $i > $i > $o )).

%----Conjecture
thf(thm,conjecture,
    ( mvalid @ ( mimpl @ ( mimpl @ ( mdia @ r @ a ) @ ( mbox @ r @ b ) ) @ ( mimpl @ ( mdia @ r @ a ) @ ( mdia @ r @ b ) ) ) )).

%------------------------------------------------------------------------------
