%------------------------------------------------------------------------------
% File     : LCL742^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Logical Calculi
% Problem  : TPS problem from AC-FUNS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0887 [Bro09]

% Status   : Theorem
% Rating   : 1.00 v5.2.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   20 (   3 equality;  11 variable)
%            Maximal formula depth :    8 (   5 average)
%            Number of connectives :   13 (   0   ~;   0   |;   0   &;   9   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    7 (   0 sgn;   3   !;   3   ?;   1   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(g,type,(
    g: $i > $i )).

thf(cTHM588AC_pme,conjecture,
    ( ? [Xj: ( $i > $o ) > $i] :
      ! [Xp: $i > $o] :
        ( ? [Xx: $i] :
            ( Xp @ Xx )
       => ( Xp @ ( Xj @ Xp ) ) )
   => ( ! [Xx: $i,Xy: $i] :
          ( ( ( g @ Xx )
            = ( g @ Xy ) )
         => ( ( f @ Xx )
            = ( f @ Xy ) ) )
     => ? [Xh: $i > $i] :
          ( ( ^ [Xx: $i] :
                ( Xh @ ( g @ Xx ) ) )
          = f ) ) )).

%------------------------------------------------------------------------------
