%------------------------------------------------------------------------------
% File     : SEU953^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem from FUNCTION-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0819 [Bro09]

% Status   : Theorem
% Rating   : 0.88 v7.0.0, 0.86 v6.4.0, 0.83 v6.3.0, 0.80 v6.2.0, 0.86 v6.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   13 (   3 equality;   7 variable)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    6 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   1   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   2   !;   1   ?;   2   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(g,type,(
    g: $i > $i )).

thf(cTHM591_pme,conjecture,
    ( ! [Xx: $i,Xy: $i] :
        ( ( ( g @ Xx )
          = ( g @ Xy ) )
       => ( Xx = Xy ) )
   => ? [Xh: $i > $i] :
        ( ( ^ [Xx: $i] :
              ( Xh @ ( g @ Xx ) ) )
        = ( ^ [Xx: $i] : Xx ) ) )).

%------------------------------------------------------------------------------
