%------------------------------------------------------------------------------
% File     : SEU956^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem from FUNCTION-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0867 [Bro09]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.14 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   17 (   5 equality;  12 variable)
%            Maximal formula depth :    8 (   8 average)
%            Number of connectives :    6 (   0   ~;   0   |;   0   &;   2   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    7 (   0 sgn;   5   !;   0   ?;   2   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cTHM13_pme,conjecture,
    ( ! [R: $i > $o,S: $i > $o] :
        ( ( R = S )
       => ! [X: $i] :
            ( ( S @ X )
           => ( R @ X ) ) )
   => ! [Xx: $i,Xy: $i] :
        ( ( ( ^ [Y: $i] : ( Xx = Y ) )
          = ( ^ [Y: $i] : ( Xy = Y ) ) )
       => ( Xx = Xy ) ) )).

%------------------------------------------------------------------------------
