%------------------------------------------------------------------------------
% File     : SEV014^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from EQUIVALENCE-RELATIONS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0911 [Bro09]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   21 (   0 equality;  21 variable)
%            Maximal formula depth :   12 (   7 average)
%            Number of connectives :   20 (   0   ~;   0   |;   3   &;  14   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    8 (   0 sgn;   8   !;   0   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM513_pme,conjecture,(
    ! [Xr: a > a > $o] :
      ( ( ! [Xx: a] :
            ( Xr @ Xx @ Xx )
        & ! [Xx: a,Xy: a] :
            ( ( Xr @ Xx @ Xy )
           => ( Xr @ Xy @ Xx ) )
        & ! [Xx: a,Xy: a,Xz: a] :
            ( ( ( Xr @ Xx @ Xy )
              & ( Xr @ Xy @ Xz ) )
           => ( Xr @ Xx @ Xz ) ) )
     => ! [Xx: a] :
          ( Xr @ Xx @ Xx ) ) )).

%------------------------------------------------------------------------------
