%------------------------------------------------------------------------------
% File     : SEV177^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem THM144
% Version  : Especial.
% English  : A lemma for the Injective Cantor Theorem X5309.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0344 [Bro09]
%          : THM144 [TPS]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   12 (   2 equality;  10 variable)
%            Maximal formula depth :   11 (  11 average)
%            Number of connectives :    8 (   1   ~;   0   |;   1   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   2   !;   1   ?;   1   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cTHM144_pme,conjecture,(
    ! [Xh: ( $i > $o ) > $i,Xd: $i > $o] :
      ( ( Xd
        = ( ^ [Xz: $i] :
            ? [Xt: $i > $o] :
              ( ~ ( Xt @ ( Xh @ Xt ) )
              & ( Xz
                = ( Xh @ Xt ) ) ) ) )
     => ( Xd @ ( Xh @ Xd ) ) ) )).

%------------------------------------------------------------------------------
