%------------------------------------------------------------------------------
% File     : SEV235^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem THM46A
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0459 [Bro09]
%          : THM46A [TPS]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.12 v6.4.0, 0.14 v6.3.0, 0.17 v6.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   14 (   0 equality;  10 variable)
%            Maximal formula depth :    7 (   4 average)
%            Number of connectives :   13 (   0   ~;   0   |;   2   &;   7   @)
%                                         (   1 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cE,type,(
    cE: $i > $o )).

thf(cD,type,(
    cD: $i > $o )).

thf(cTHM46A_pme,conjecture,(
    ! [Xx: $i > $o] :
      ( ! [Xx0: $i] :
          ( ( Xx @ Xx0 )
         => ( ( cD @ Xx0 )
            & ( cE @ Xx0 ) ) )
    <=> ( ! [Xx0: $i] :
            ( ( Xx @ Xx0 )
           => ( cD @ Xx0 ) )
        & ! [Xx0: $i] :
            ( ( Xx @ Xx0 )
           => ( cE @ Xx0 ) ) ) ) )).

%------------------------------------------------------------------------------
