%------------------------------------------------------------------------------
% File     : SYO245^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-EQ-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1012 [Bro09]

% Status   : Theorem
% Rating   : 0.50 v7.0.0, 0.43 v6.4.0, 0.50 v6.3.0, 0.60 v6.2.0, 0.43 v6.1.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.60 v5.2.0, 1.00 v5.0.0, 0.80 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   36 (   6 equality;  30 variable)
%            Maximal formula depth :   14 (  14 average)
%            Number of connectives :   28 (   5   ~;   0   |;   4   &;  16   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   10 (  10   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :   10 (   0 sgn;   3   !;   5   ?;   2   ^)
%                                         (  10   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : May require description or choice.
%          : 
%------------------------------------------------------------------------------
thf(cTHM193A,conjecture,
    ( ! [Xh: ( $i > $o ) > $i] :
        ( ? [Xt: $i > $o] :
            ( ~ ( Xt @ ( Xh @ Xt ) )
            & ( ( Xh
                @ ^ [Xz: $i] :
                  ? [Xt0: $i > $o] :
                    ( ~ ( Xt0 @ ( Xh @ Xt0 ) )
                    & ( Xz
                      = ( Xh @ Xt0 ) ) ) )
              = ( Xh @ Xt ) ) )
       => ? [Xt: $i > $o] :
            ( ~ ( Xt @ ( Xh @ Xt ) )
            & ( ( Xh
                @ ^ [Xz: $i] :
                  ? [Xt0: $i > $o] :
                    ( ~ ( Xt0 @ ( Xh @ Xt0 ) )
                    & ( Xz
                      = ( Xh @ Xt0 ) ) ) )
              = ( Xh @ Xt ) ) ) )
   => ~ ( ? [Xh: ( $i > $o ) > $i] :
          ! [Xx: $i > $o,Xy: $i > $o] :
            ( ( ( Xh @ Xx )
              = ( Xh @ Xy ) )
           => ( Xx = Xy ) ) ) )).

%------------------------------------------------------------------------------
