%------------------------------------------------------------------------------
% File     : SYO264^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem THM125C
% Version  : Especial.
% English  : Trivial theorem to test flexible-flexible pairs.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0158 [Bro09]
%          : THM125C [TPS]

% Status   : Theorem
% Rating   : 0.14 v7.0.0, 0.25 v6.4.0, 0.29 v6.3.0, 0.33 v6.2.0, 0.67 v6.1.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.25 v5.1.0, 0.50 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   16 (   0 equality;  16 variable)
%            Maximal formula depth :   14 (  14 average)
%            Number of connectives :   17 (   2   ~;   3   |;   3   &;   8   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    7 (   0 sgn;   5   !;   2   ?;   0   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cTHM125C,conjecture,(
    ! [Xa: $i,Xb: $i,Xc: $i,P: $i > $o] :
    ? [Xm: $i > $o,Xn: $i > $o] :
      ( ( ( Xm @ Xa )
        | ( Xn @ Xa ) )
      & ( ( P @ Xb )
        | ( Xn @ Xb ) )
      & ( ( Xm @ Xc )
        | ~ ( P @ Xc ) )
      & ! [Xx: $i] :
          ( ( Xn @ Xx )
        <=> ~ ( P @ Xx ) ) ) )).

%------------------------------------------------------------------------------
