%------------------------------------------------------------------------------
% File     : SYO518^1 : TPTP v7.0.0. Released v4.1.0.
% Domain   : Syntactic
% Problem  : There is an if-then-else operator at type i
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : ifi [Bro09]

% Status   : Theorem
% Rating   : 0.75 v7.0.0, 0.71 v6.4.0, 0.83 v6.3.0, 0.80 v6.2.0, 0.71 v6.0.0, 0.86 v5.5.0, 0.83 v5.4.0, 1.00 v4.1.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   12 (   2 equality;   8 variable)
%            Maximal formula depth :    9 (   9 average)
%            Number of connectives :    7 (   0   ~;   0   |;   1   &;   6   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   0   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   2   !;   1   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This is a theorem because the default semantics is Henkin with
%            choice.
%------------------------------------------------------------------------------
thf(ifi,conjecture,(
    ? [I: $o > $i > $i > $i] :
    ! [X: $i,Y: $i] :
      ( ( ( I @ $true @ X @ Y )
        = X )
      & ( ( I @ $false @ X @ Y )
        = Y ) ) )).

%------------------------------------------------------------------------------
