%------------------------------------------------------------------------------
% File     : SYO551^1 : TPTP v7.0.0. Released v5.2.0.
% Domain   : Syntactic
% Problem  : The identity function on functions from $i to $i exists
% Version  : Especial.
% English  : 

% Refs     : [Bro11] Brown E. (2011), Email to Geoff Sutcliffe
% Source   : [Bro11]
% Names    : IDii [Bro11]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.29 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.2.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    4 (   1 equality;   3 variable)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    1 (   0   ~;   0   |;   0   &;   1   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    1 (   0   :;   0   =)
%            Number of variables   :    2 (   0 sgn;   1   !;   1   ?;   0   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This simple problem tests higher-order instantiations.
%------------------------------------------------------------------------------
thf(claim,conjecture,(
    ? [F: ( $i > $i ) > $i > $i] :
    ! [X: $i > $i] :
      ( ( F @ X )
      = X ) )).

%------------------------------------------------------------------------------
