%------------------------------------------------------------------------------
% File     : LCL877^1 : TPTP v7.0.0. Released v5.2.0.
% Domain   : Logic Calculi (Doxastic multimodal logic)
% Problem  : Variants of axiom 5
% Version  : [Ben11] axioms.
% English  :

% Refs     : [Ben11] Benzmueller (2011), Email to Geoff Sutcliffe
%          : [Ben11] Benzmueller (2011), Combining and Automating Classical
% Source   : [Ben11]
% Names    : Ex_7_1 [Ben11]

% Status   : Theorem
% Rating   : 0.62 v7.0.0, 0.57 v6.4.0, 0.50 v6.3.0, 0.60 v6.2.0, 0.29 v6.1.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.60 v5.3.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :   64 (   0 unit;  32 type;  31 defn)
%            Number of atoms       :  246 (  36 equality; 140 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  146 (   4   ~;   4   |;   8   &; 121   @)
%                                         (   1 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  172 ( 172   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   36 (  32   :;   0   =)
%            Number of variables   :   87 (   3 sgn;  30   !;   6   ?;  51   ^)
%                                         (  87   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include embedding of quantified multimodal logic in simple type theory
include('Axioms/LCL013^0.ax').
%------------------------------------------------------------------------------
thf(conj,conjecture,(
    ! [R: $i > $i > $o] :
      ( ( mvalid
        @ ( mforall_prop
          @ ^ [Phi: $i > $o] :
              ( mimplies @ ( mnot @ ( mbox @ R @ Phi ) ) @ ( mbox @ R @ ( mnot @ ( mbox @ R @ Phi ) ) ) ) ) )
    <=> ( mvalid
        @ ( mforall_prop
          @ ^ [Phi: $i > $o] :
              ( mimplies @ ( mdia @ R @ Phi ) @ ( mbox @ R @ ( mdia @ R @ Phi ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
