%------------------------------------------------------------------------------
% File     : PHI004^1 : TPTP v7.0.0. Released v6.1.0.
% Domain   : Philosophy
% Problem  : Being God-like is an essence of any God-like being
% Version  : [Ben13] axioms.
% English  : 

% Refs     : [Ben13] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben13]
% Names    : T2 [Ben13]

% Status   : Theorem
% Rating   : 0.62 v7.0.0, 0.57 v6.4.0, 0.50 v6.3.0, 0.60 v6.2.0, 0.86 v6.1.0
% Syntax   : Number of formulae    :   59 (   0 unit;  28 type;  25 defn)
%            Number of atoms       :  198 (  26 equality;  92 variable)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :  120 (   5   ~;   3   |;   4   &; 105   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  166 ( 166   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   33 (  28   :;   0   =)
%            Number of variables   :   71 (   3 sgn;   6   !;   4   ?;  61   ^)
%                                         (  71   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Axioms for Quantified Modal Logic K.
include('Axioms/LCL016^0.ax').
%----Axioms about God
include('Axioms/PHI001^0.ax').
%------------------------------------------------------------------------------
%----T2: Being God-like is an essence of any God-like being
thf(thmT2,conjecture,
    ( mvalid
    @ ( mforall_ind
      @ ^ [X: mu] :
          ( mimplies @ ( god @ X ) @ ( essence @ god @ X ) ) ) )).
%------------------------------------------------------------------------------
