%------------------------------------------------------------------------------
% File     : SEU547^2 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Set Theory
% Problem  : Preliminary Notions - Equality Laws
% Version  : Especial > Reduced > Especial.
% English  : (! A:i.! B:i.A = B -> (! x:i.! y:i.x = y -> in x A -> in y B))

% Refs     : [Bro08] Brown (2008), Email to G. Sutcliffe
% Source   : [Bro08]
% Names    : ZFC049l [Bro08]

% Status   : Theorem
% Rating   : 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v3.7.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   12 (   2 equality;   8 variable)
%            Maximal formula depth :   10 (   7 average)
%            Number of connectives :    7 (   0   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   4   !;   0   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : http://mathgate.info/detsetitem.php?id=128
%          : 
%------------------------------------------------------------------------------
thf(in,type,(
    in: $i > $i > $o )).

thf(inCongP,conjecture,(
    ! [A: $i,B: $i] :
      ( ( A = B )
     => ! [Xx: $i,Xy: $i] :
          ( ( Xx = Xy )
         => ( ( in @ Xx @ A )
           => ( in @ Xy @ B ) ) ) ) )).

%------------------------------------------------------------------------------
