%------------------------------------------------------------------------------
% File     : SEU883^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem X5212
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0209 [Bro09]
%          : X5212 [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   13 (   3 equality;   6 variable)
%            Maximal formula depth :    7 (   3 average)
%            Number of connectives :    6 (   0   ~;   0   |;   2   &;   4   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   0   !;   2   ?;   2   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(f,type,(
    f: b > a )).

thf(g,type,(
    g: b > $o )).

thf(cX5212_pme,conjecture,
    ( ( ^ [Xz: a] :
        ? [Xx: b] :
          ( ( g @ Xx )
          & ( Xz
            = ( f @ Xx ) ) ) )
    = ( ^ [Xz: a] :
        ? [Xt: b] :
          ( ( g @ Xt )
          & ( Xz
            = ( f @ Xt ) ) ) ) )).

%------------------------------------------------------------------------------
