%------------------------------------------------------------------------------
% File     : SEV053^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM89B
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0258 [Bro09]
%          : THM89B [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    6 (   0 unit;   5 type;   0 defn)
%            Number of atoms       :   22 (   0 equality;  10 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   21 (   0   ~;   0   |;   2   &;  17   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   5   !;   0   ?;   0   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(a_type,type,(
    a: $tType )).

thf(cF,type,(
    cF: b > b )).

thf(cA,type,(
    cA: b > a )).

thf(cL,type,(
    cL: a > a > $o )).

thf(cTHM89B_pme,conjecture,
    ( ( ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( cL @ Xx @ Xy )
            & ( cL @ Xy @ Xz ) )
         => ( cL @ Xx @ Xz ) )
      & ! [X: b] :
          ( cL @ ( cA @ X ) @ ( cA @ ( cF @ X ) ) ) )
   => ! [Y: b] :
        ( cL @ ( cA @ Y ) @ ( cA @ ( cF @ ( cF @ Y ) ) ) ) )).

%------------------------------------------------------------------------------
