%------------------------------------------------------------------------------
% File     : SYO315^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem from BASIC-HO-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0909 [Bro09]

% Status   : Theorem
% Rating   : 0.29 v7.0.0, 0.25 v6.4.0, 0.29 v6.3.0, 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   16 (   0 equality;  14 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   19 (   4   ~;   0   |;   6   &;   8   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    8 (   0 sgn;   0   !;   8   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(z,type,(
    z: $i )).

thf(cSILLYWFF,conjecture,
    ( ? [Xp: $i > $o,Xq: $i > $o,Xx: $i,Xy: $i] :
        ( ( Xp @ Xx )
        & ~ ( Xp @ Xy )
        & ( Xq @ Xy )
        & ~ ( Xq @ z ) )
   => ? [Xp: $i > $o,Xq: $i > $o,Xx: $i,Xy: $i] :
        ( ~ ( Xq @ z )
        & ( Xq @ Xy )
        & ( Xp @ Xx )
        & ~ ( Xp @ Xy ) ) )).

%------------------------------------------------------------------------------
