%------------------------------------------------------------------------------
% File     : SYO497^6 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : Ted Sider's S5 quantified modal logic wff 23
% Version  : Especial.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
% Source   : [Sid09]
% Names    :

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.1.0, 0.40 v5.0.0, 0.20 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :   73 (   0 unit;  36 type;  33 defn)
%            Number of atoms       :  260 (  38 equality; 139 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :  152 (   5   ~;   5   |;   8   &; 126   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  180 ( 180   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   40 (  36   :;   0   =)
%            Number of variables   :   91 (   3 sgn;  30   !;   6   ?;  55   ^)
%                                         (  91   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for modal logic S5
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^6.ax').
%------------------------------------------------------------------------------
thf(f_type,type,(
    f: mu > $i > $o )).

thf(prove,conjecture,
    ( mvalid
    @ ( mimplies
      @ ( mand
        @ ( mbox_s5
          @ ( mforall_ind
            @ ^ [X: mu] :
                ( mimplies @ ( f @ X ) @ ( mbox_s5 @ ( f @ X ) ) ) ) )
        @ ( mdia_s5
          @ ( mexists_ind
            @ ^ [X: mu] :
                ( f @ X ) ) ) )
      @ ( mbox_s5
        @ ( mexists_ind
          @ ^ [X: mu] :
              ( f @ X ) ) ) ) )).

%------------------------------------------------------------------------------
