%------------------------------------------------------------------------------
% File     : SYO509^1 : TPTP v7.0.0. Released v4.1.0.
% Domain   : Syntactic
% Problem  : Existence of choice functions for binary relations
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : choice4 [Bro09]

% Status   : Theorem
% Rating   : 0.86 v7.0.0, 0.88 v6.4.0, 0.86 v6.3.0, 0.83 v5.5.0, 1.00 v4.1.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :    8 (   0 equality;   8 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :    7 (   0   ~;   0   |;   0   &;   6   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    8 (   8   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   1   !;   4   ?;   0   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(a,type,(
    a: $tType )).

thf(b,type,(
    b: $tType )).

thf(claim,conjecture,(
    ? [C1: ( a > b > $o ) > a,C2: ( a > b > $o ) > b] :
    ! [R: a > b > $o] :
      ( ? [X: a,Y: b] :
          ( R @ X @ Y )
     => ( R @ ( C1 @ R ) @ ( C2 @ R ) ) ) )).

%------------------------------------------------------------------------------
