%------------------------------------------------------------------------------
% File     : SYO574^7 : TPTP v7.0.0. Released v5.5.0.
% Domain   : Syntactic
% Problem  : Modal Propositional Logic Theorems. problem 37
% Version  : [Ben12] axioms.
% English  :

% Refs     : [Sid09] Sider (2009), Logic for Philosophy
%          : [Ben12] Benzmueller (2012), Email to Geoff Sutcliffe
% Source   : [Ben12]
% Names    : s4-cumul-SYM137+1 [Ben12]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v6.1.0, 0.14 v5.5.0
% Syntax   : Number of formulae    :   75 (   0 unit;  38 type;  32 defn)
%            Number of atoms       :  261 (  36 equality; 143 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  157 (   5   ~;   5   |;   9   &; 128   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  182 ( 182   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   42 (  38   :;   0   =)
%            Number of variables   :   90 (   2 sgn;  34   !;   7   ?;  49   ^)
%                                         (  90   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S4 under cumulative domains
include('Axioms/LCL015^0.ax').
include('Axioms/LCL013^5.ax').
include('Axioms/LCL015^1.ax').
%------------------------------------------------------------------------------
thf(q_type,type,(
    q: $i > $o )).

thf(p_type,type,(
    p: $i > $o )).

thf(con,conjecture,
    ( mvalid @ ( mimplies @ ( mdia_s4 @ ( mimplies @ p @ ( mbox_s4 @ q ) ) ) @ ( mimplies @ ( mbox_s4 @ p ) @ ( mdia_s4 @ q ) ) ) )).

%------------------------------------------------------------------------------
